<template>
    <b-navbar toggleable="lg" type="dark" variant="transparent" fixed="top">
      <b-container fluid>
        <b-navbar-brand href="#" class="d-flex align-items-center">
          <img
            src="@/assets/img/logo.svg"
            class="d-inline-block align-top mr-2"
            alt="Track & Race"
            width="90rem"
          />
          Track & Races
        </b-navbar-brand>
        <b-navbar-toggle target="nav-collapse"></b-navbar-toggle>
        <b-collapse id="nav-collapse" is-nav>
          <!-- Right aligned nav items -->
          <b-navbar-nav class="ml-auto">
            <b-nav-item href="#">Apuesta</b-nav-item>
            <b-nav-item href="#">Resultados</b-nav-item>
            <b-nav-item href="#">Programas</b-nav-item>
            <b-nav-item-dropdown right>
              <!-- Using 'button-content' slot -->
              <template v-slot:button-content>
                <span>Mike</span>
              </template>
              <b-dropdown-item href="#">Profile</b-dropdown-item>
              <b-dropdown-item href="#">Sign Out</b-dropdown-item>
            </b-nav-item-dropdown>
          </b-navbar-nav>
        </b-collapse>
      </b-container>
    </b-navbar>
</template>

<script>
export default {
  name: 'HelloWorld',
  props: {
    msg: String
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}
</style>
